#
# spec file for package karchiveur (Version 2.0.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake docbook-dsssl-stylesheets docbook_3 fam freetype2 gettext gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libxml2 libz mesa mesa-devel mesasoft openssl openssl-devel qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libxml2 libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg openssl openssl-devel pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

# Commandline:  -s "mkdir -p /opt/kde2/share/apps/karchiver; " --kde2 -b "kdelibs-artsd libxml2"
Name:         karchiveur
Copyright:    GPL
Group:        X11/KDE/Applications
Provides: karchive
Summary:      A little archiver for KDE
Version:      2.0.4
Release:      108
Source0:      karchiver-2.0.4.tar.bz2
Patch0: karchiver-2.0.4.dif

%description
With this program you can pack or unpack archives like .tar.gz or
.tar.bz2 or just browse them.

Authors:
--------
    Eric Coquelle <coquelle@hivaoa.unice.fr>

SuSE series: k2de

%prep
%setup -n karchiver-2.0.4
%patch -p 0 -E

%build
%{?suse_update_config:%{suse_update_config  -f }}
mkdir -p /opt/kde2/share/apps/karchiver;  CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG " ./configure \
  --prefix=/opt/kde2 \
 --mandir=/usr/share/man/ \
 --with-qt-dir=/usr/lib/qt2/ \
  
make -f Makefile.cvs
mkdir -p /opt/kde2/share/apps/karchiver;  make

%install
make install

%files
%doc NEWS TODO README AUTHORS INSTALL ChangeLog COPYING 
%dir /opt/kde2/share/applnk
%dir /opt/kde2/share/applnk/Utilities
%dir /opt/kde2/share/apps/karchiver/icons
%dir /opt/kde2/share/apps/karchiver/icons/locolor
%dir /opt/kde2/share/apps/karchiver/icons/locolor/16x16
%dir /opt/kde2/share/apps/karchiver/icons/locolor/16x16/actions
%dir /opt/kde2/share/apps/karchiver/icons/locolor/22x22
%dir /opt/kde2/share/apps/karchiver/icons/locolor/22x22/actions
%dir /opt/kde2/share/apps/karchiver/icons/locolor/32x32
%dir /opt/kde2/share/apps/karchiver/icons/locolor/32x32/actions
%dir /opt/kde2/share/apps/karchiver/pics
%dir /opt/kde2/share/apps/konqueror
%dir /opt/kde2/share/apps/konqueror/servicemenus
%dir /opt/kde2/share/doc/HTML/en/karchiver
%dir /opt/kde2/share/doc/HTML/fr
%dir /opt/kde2/share/doc/HTML/fr/karchiver
%dir /opt/kde2/share/icons/hicolor/32x32/apps
%dir /opt/kde2/share/icons/hicolor/48x48/apps
%dir /opt/kde2/share/icons/locolor/16x16
%dir /opt/kde2/share/icons/locolor/16x16/apps
%dir /opt/kde2/share/icons/locolor/16x16/mimetypes
%dir /opt/kde2/share/icons/locolor/22x22
%dir /opt/kde2/share/icons/locolor/22x22/mimetypes
%dir /opt/kde2/share/icons/locolor/32x32
%dir /opt/kde2/share/icons/locolor/32x32/apps
%dir /opt/kde2/share/locale
%dir /opt/kde2/share/locale/de
%dir /opt/kde2/share/locale/de/LC_MESSAGES
%dir /opt/kde2/share/locale/es
%dir /opt/kde2/share/locale/es/LC_MESSAGES
%dir /opt/kde2/share/locale/fr
%dir /opt/kde2/share/locale/fr/LC_MESSAGES
%dir /opt/kde2/share/locale/it
%dir /opt/kde2/share/locale/it/LC_MESSAGES
%dir /opt/kde2/share/locale/nl
%dir /opt/kde2/share/locale/nl/LC_MESSAGES
%dir /opt/kde2/share/locale/pt
%dir /opt/kde2/share/locale/pt/LC_MESSAGES
%dir /opt/kde2/share/locale/pt_BR
%dir /opt/kde2/share/locale/pt_BR/LC_MESSAGES
%dir /opt/kde2/share/locale/sv
%dir /opt/kde2/share/locale/sv/LC_MESSAGES
/opt/kde2/bin/karchiver
/opt/kde2/lib/libkarchiver.la
/opt/kde2/lib/libkarchiver.so
/opt/kde2/lib/libkarchiver.so.2
/opt/kde2/lib/libkarchiver.so.2.0.0
/opt/kde2/share/applnk/Utilities/karchiver.desktop
/opt/kde2/share/apps/karchiver/icons/locolor/16x16/actions/compress.png
/opt/kde2/share/apps/karchiver/icons/locolor/16x16/actions/documentinfo.png
/opt/kde2/share/apps/karchiver/icons/locolor/16x16/actions/extract.png
/opt/kde2/share/apps/karchiver/icons/locolor/16x16/actions/view.png
/opt/kde2/share/apps/karchiver/icons/locolor/16x16/actions/wizard.png
/opt/kde2/share/apps/karchiver/icons/locolor/22x22/actions/compress.png
/opt/kde2/share/apps/karchiver/icons/locolor/22x22/actions/extract.png
/opt/kde2/share/apps/karchiver/icons/locolor/22x22/actions/view.png
/opt/kde2/share/apps/karchiver/icons/locolor/22x22/actions/wizard.png
/opt/kde2/share/apps/karchiver/icons/locolor/32x32/actions/compress.png
/opt/kde2/share/apps/karchiver/icons/locolor/32x32/actions/extract.png
/opt/kde2/share/apps/karchiver/icons/locolor/32x32/actions/view.png
/opt/kde2/share/apps/karchiver/icons/locolor/32x32/actions/wizard.png
/opt/kde2/share/apps/karchiver/karchiver_partui.rc
/opt/kde2/share/apps/karchiver/karchiverui.rc
/opt/kde2/share/apps/karchiver/pics/karchiveur_wizard_large.png
/opt/kde2/share/apps/karchiver/pics/tipday.png
/opt/kde2/share/apps/karchiver/tip.database
/opt/kde2/share/apps/konqueror/servicemenus/karchiverservicemenu.desktop
/opt/kde2/share/apps/tip.database
/opt/kde2/share/doc/HTML/en/karchiver/index-1.html
/opt/kde2/share/doc/HTML/en/karchiver/index-2.html
/opt/kde2/share/doc/HTML/en/karchiver/index-3.html
/opt/kde2/share/doc/HTML/en/karchiver/index-4.html
/opt/kde2/share/doc/HTML/en/karchiver/index-5.html
/opt/kde2/share/doc/HTML/en/karchiver/index.html
/opt/kde2/share/doc/HTML/fr/karchiver/index-1.html
/opt/kde2/share/doc/HTML/fr/karchiver/index-2.html
/opt/kde2/share/doc/HTML/fr/karchiver/index-3.html
/opt/kde2/share/doc/HTML/fr/karchiver/index-4.html
/opt/kde2/share/doc/HTML/fr/karchiver/index-5.html
/opt/kde2/share/doc/HTML/fr/karchiver/index.html
/opt/kde2/share/doc/HTML/fr/karchiver/tip.database
/opt/kde2/share/icons/hicolor/32x32/apps/karchiver.png
/opt/kde2/share/icons/hicolor/32x32/mimetypes/karchiveur_cpp.png
/opt/kde2/share/icons/hicolor/32x32/mimetypes/karchiveur_diff.png
/opt/kde2/share/icons/hicolor/32x32/mimetypes/karchiveur_gnu.png
/opt/kde2/share/icons/hicolor/32x32/mimetypes/karchiveur_h.png
/opt/kde2/share/icons/hicolor/32x32/mimetypes/karchiveur_in.png
/opt/kde2/share/icons/hicolor/32x32/mimetypes/karchiveur_java.png
/opt/kde2/share/icons/hicolor/32x32/mimetypes/karchiveur_m4.png
/opt/kde2/share/icons/hicolor/32x32/mimetypes/karchiveur_mak.png
/opt/kde2/share/icons/hicolor/32x32/mimetypes/karchiveur_son.png
/opt/kde2/share/icons/hicolor/32x32/mimetypes/karchiveur_trash.png
/opt/kde2/share/icons/hicolor/48x48/apps/karchiver.png
/opt/kde2/share/icons/locolor/16x16/apps/karchiver.png
/opt/kde2/share/icons/locolor/16x16/mimetypes/karchiveur_cpp.png
/opt/kde2/share/icons/locolor/16x16/mimetypes/karchiveur_diff.png
/opt/kde2/share/icons/locolor/16x16/mimetypes/karchiveur_gnu.png
/opt/kde2/share/icons/locolor/16x16/mimetypes/karchiveur_h.png
/opt/kde2/share/icons/locolor/16x16/mimetypes/karchiveur_in.png
/opt/kde2/share/icons/locolor/16x16/mimetypes/karchiveur_java.png
/opt/kde2/share/icons/locolor/16x16/mimetypes/karchiveur_m4.png
/opt/kde2/share/icons/locolor/16x16/mimetypes/karchiveur_mak.png
/opt/kde2/share/icons/locolor/16x16/mimetypes/karchiveur_son.png
/opt/kde2/share/icons/locolor/16x16/mimetypes/karchiveur_trash.png
/opt/kde2/share/icons/locolor/22x22/mimetypes/karchiveur_cpp.png
/opt/kde2/share/icons/locolor/22x22/mimetypes/karchiveur_diff.png
/opt/kde2/share/icons/locolor/22x22/mimetypes/karchiveur_gnu.png
/opt/kde2/share/icons/locolor/22x22/mimetypes/karchiveur_h.png
/opt/kde2/share/icons/locolor/22x22/mimetypes/karchiveur_in.png
/opt/kde2/share/icons/locolor/22x22/mimetypes/karchiveur_java.png
/opt/kde2/share/icons/locolor/22x22/mimetypes/karchiveur_m4.png
/opt/kde2/share/icons/locolor/22x22/mimetypes/karchiveur_mak.png
/opt/kde2/share/icons/locolor/22x22/mimetypes/karchiveur_son.png
/opt/kde2/share/icons/locolor/22x22/mimetypes/karchiveur_trash.png
/opt/kde2/share/icons/locolor/32x32/apps/karchiver.png
/opt/kde2/share/locale/de/LC_MESSAGES/karchiver.mo
/opt/kde2/share/locale/es/LC_MESSAGES/karchiver.mo
/opt/kde2/share/locale/fr/LC_MESSAGES/karchiver.mo
/opt/kde2/share/locale/it/LC_MESSAGES/karchiver.mo
/opt/kde2/share/locale/nl/LC_MESSAGES/karchiver.mo
/opt/kde2/share/locale/pt/LC_MESSAGES/karchiver.mo
/opt/kde2/share/locale/pt_BR/LC_MESSAGES/karchiver.mo
/opt/kde2/share/locale/sv/LC_MESSAGES/karchiver.mo

%changelog -n karchiveur
* Thu Sep 06 2001 - schwab@suse.de
- Fix QCString default argument.
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Tue Aug 07 2001 - adrian@suse.de
- autoconf 2.52 fixes
* Mon Jul 02 2001 - adrian@suse.de
- autoconf 2.50 fixes
* Thu May 10 2001 - adrian@suse.de
- remove wrong moc files
- use new generated moc file
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Sun Mar 25 2001 - schwab@suse.de
- Match against linux* instead of linux-gnu*
- Fix missing declaration.
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Mar 01 2001 - ro@suse.de
- added fam to neededforbuild
* Tue Jan 23 2001 - stepan@suse.de
- alpha compile fixes for gcc 2.95.x
* Mon Jan 01 2001 - adrian@suse.de
- update to version 2.0 (KDE 2)
* Mon May 29 2000 - adrian@suse.de
- New version 0.86
* Wed May 24 2000 - adrian@suse.de
- Added group tag, suse_update_config and new file list
* Wed Apr 12 2000 - adrian@suse.de
- New version 0.85
* Thu Mar 16 2000 - adrian@suse.de
- New version 0.80
* Tue Feb 01 2000 - ro@suse.de
- fixed to compile
* Wed Jan 05 2000 - kettner@suse.de
- New version 0.54
* Mon Nov 22 1999 - kettner@suse.de
- New version 0.53
* Thu Nov 04 1999 - bs@suse.de
- removed libgif from neededforbuild
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline: line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Jul 02 1999 - kettner@suse.de
- Spec file created from karchiveur-0.52.tar.gz by autospec
* Thu Jul 01 1999 - kettner@suse.de
- Spec file created from karchiveur0.51-1.tar.gz by autospec
